Qt Reference Documentation

# Obsolete Members for QDesktopWidget

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QDesktopWidget class reference

## Public Functions

int | numScreens () const`(obsolete)`

- 3 public functions inherited from QWidget

## Member Function Documentation

### int QDesktopWidget::numScreens () const

Returns the number of available screens.

This function is deprecated. Use screenCount instead.

See also primaryScreen.